> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/security-protocols.md).

# Security protocols

## GET /addresses/{pk\_or\_remote\_id}/security-protocol/

> Read a security protocol of an address

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SecurityProtocols"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"SecurityProtocol":{"properties":{"pk":{"description":"Dashdoc's internal id. It will be automatically generated by Dashdoc.","type":"number"},"address":{"description":"Id of the address that the security protocol should be linked to.","type":"number"},"document":{"description":"URL of the stored document. You can download the document from this URL.","type":"string"},"document_title":{"description":"Filename","type":"string"},"updated":{"description":"Last updated time","format":"date-time","type":"string"},"has_been_seen_recently":{"description":"Check if you've seen the security protocol recently. Returns `null` if it hasn't been seen at all.","type":"boolean"}},"type":"object"}}},"paths":{"/addresses/{pk_or_remote_id}/security-protocol/":{"get":{"operationId":"readAddressesSecurityProtocol","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityProtocol"}}},"description":"Get successful"}},"summary":"Read a security protocol of an address","tags":["SecurityProtocols"]}}}}
````

## Create a security protocol

> Creates a security protocol linked to an address of your address book.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SecurityProtocols"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewSecurityProtocols":{"properties":{"address":{"description":"Id of the address the security protocol should be linked.","type":"number"},"document":{"description":"File content, as a PDF, PNG or JPEG file (`.pdf`, `.png`, `.jpg` or `.jpeg` file name), the formats drivers can open in the Dashdoc app. **Use content-type with `multipart/form-data` value to the header of the request to send a document.**","format":"byte","type":"string"},"document_title":{"description":"Filename","type":"string"}},"required":["address","document"],"type":"object"},"SecurityProtocol":{"properties":{"pk":{"description":"Dashdoc's internal id. It will be automatically generated by Dashdoc.","type":"number"},"address":{"description":"Id of the address that the security protocol should be linked to.","type":"number"},"document":{"description":"URL of the stored document. You can download the document from this URL.","type":"string"},"document_title":{"description":"Filename","type":"string"},"updated":{"description":"Last updated time","format":"date-time","type":"string"},"has_been_seen_recently":{"description":"Check if you've seen the security protocol recently. Returns `null` if it hasn't been seen at all.","type":"boolean"}},"type":"object"}}},"paths":{"/security-protocols/":{"post":{"description":"Creates a security protocol linked to an address of your address book.","operationId":"createSecurityProtocols","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewSecurityProtocols"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityProtocol"}}},"description":"Create successful"}},"summary":"Create a security protocol","tags":["SecurityProtocols"]}}}}
````

## PATCH /security-protocols/{pk}/

> Partially update a security protocol

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SecurityProtocols"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateSecurityProtocol":{"properties":{"address":{"description":"Id of the address that the security protocol should be linked to.","type":"number"},"document":{"description":"File content, as a PDF, PNG or JPEG file (`.pdf`, `.png`, `.jpg` or `.jpeg` file name), the formats drivers can open in the Dashdoc app. **Use content-type with `multipart/form-data` value to the header of the request to send a document.**","format":"byte","type":"string"},"document_title":{"description":"Filename","type":"string"}},"type":"object"},"SecurityProtocol":{"properties":{"pk":{"description":"Dashdoc's internal id. It will be automatically generated by Dashdoc.","type":"number"},"address":{"description":"Id of the address that the security protocol should be linked to.","type":"number"},"document":{"description":"URL of the stored document. You can download the document from this URL.","type":"string"},"document_title":{"description":"Filename","type":"string"},"updated":{"description":"Last updated time","format":"date-time","type":"string"},"has_been_seen_recently":{"description":"Check if you've seen the security protocol recently. Returns `null` if it hasn't been seen at all.","type":"boolean"}},"type":"object"}}},"paths":{"/security-protocols/{pk}/":{"patch":{"operationId":"partialUpdateSecurityProtocol","parameters":[{"description":"Dashdoc's internal id","in":"path","name":"pk","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSecurityProtocol"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityProtocol"}}},"description":"Get successful"}},"summary":"Partially update a security protocol","tags":["SecurityProtocols"]}}}}
````
